CONFIG += qt debug
CONFIG += qdbus
CONFIG+=link_pkgconfig
PKGCONFIG+=libudev
PKGCONFIG+=libgphoto2
TEMPLATE = app
TARGET = book-scanner

DEPENDPATH += .
INCLUDEPATH += .
INCLUDEPATH += qextserialport/src
LIBS += -Lqextserialport/src/build -lqextserialport

FORMS += bookScanner.ui
FORMS += CameraIdentificationConfig.ui
FORMS += DestDirectoryConfig.ui
FORMS += UK1104DigitalInputConfig.ui
FORMS += UK1104IdentifyConfig.ui
FORMS += UK1104RelayConfig.ui
FORMS += ConfigTabsDialog.ui
FORMS += PreferencesConfig.ui
FORMS += ProgramConfigDialog.ui

RESOURCES += book-scanner.qrc

HEADERS += Scheduler.h
HEADERS += UK1104.h
HEADERS += BookScanner.h
HEADERS += ConfigData.h
HEADERS += WatchUdev.h
HEADERS += ConfigDialog.h
HEADERS += CommandSet.h
HEADERS += wrap-gphoto.h
HEADERS += wrap-camera.h

SOURCES += Scheduler.cpp
SOURCES += UK1104.cpp
SOURCES += BookScanner.cpp
SOURCES += ConfigData.cpp
SOURCES += book-scanner.cpp
SOURCES += WatchUdev.cpp
SOURCES += ConfigDialog.cpp
SOURCES += CommandSet.cpp
SOURCES += wrap-gphoto.cpp
SOURCES += wrap-camera.cpp
